<?php
/**
 * Theme information page
 * @package Shaped Pixels
 */

//Add the theme page
add_action('admin_menu', 'shaped_pixels_lite_add_theme_info');
function shaped_pixels_lite_add_theme_info(){
	$theme_info = add_theme_page( esc_html__('Shaped Pixels Info','shaped-pixels'), esc_html__('Shaped Pixels Info','shaped-pixels'), 'manage_options', 'shaped-pixels-info.php', 'shaped_pixels_lite_info_page' );
    add_action( 'load-' . $theme_info, 'shaped_pixels_lite_info_hook_styles' );
}

//Callback
function shaped_pixels_lite_info_page() {
?>
	<div class="info-container">
		<h2 class="info-title"><?php esc_html_e('Shaped Pixels Info','shaped-pixels'); ?></h2>
        
		<div class="info-block"><div class="dashicons dashicons-book-alt info-icon"></div>
        	<p class="info-text"><a href="http://www.shapedpixels.com/setup-shaped-pixels" target="_blank"><?php esc_html_e('Setup Tutorials','shaped-pixels'); ?></a></p></div>
            
		<div class="info-block"><div class="dashicons dashicons-sos info-icon"></div>
        	<p class="info-text"><a href="https://wordpress.org/support/theme/shaped-pixels" target="_blank"><?php esc_html_e('Support','shaped-pixels'); ?></a></p></div>
            
 		<div class="info-block"><div class="dashicons dashicons-testimonial info-icon"></div>
 			<p class="info-text"><a href="https://wordpress.org/support/view/theme-reviews/shaped-pixels" target="_blank"><?php esc_html_e('Submit a Testimonial','shaped-pixels'); ?></a></p></div>
            
            <div class="info-block"><div class="dashicons dashicons-desktop info-icon"></div>
        	<p class="info-text"><a href="http://demos.shapedpixels.com/shaped-pixels" target="_blank"><?php esc_html_e('Theme demo','shaped-pixels'); ?></a></p></div>  
             
            <div class="info-block"><div class="dashicons dashicons-smiley info-icon"></div>
        	<p class="info-text"><a href="http://www.shapedpixels.com/shaped-pixels-pro" target="_blank"><?php esc_html_e('Shaped Pixels Pro Version','shaped-pixels'); ?></a></p></div>   
               
	</div>
<?php
}

//Styles
function shaped_pixels_lite_info_hook_styles(){
   	add_action( 'admin_enqueue_scripts', 'shaped_pixels_lite_info_page_styles' );
}
function shaped_pixels_lite_info_page_styles() {
	wp_enqueue_style( 'aberration-info-style', get_template_directory_uri() . '/css/info-page.css', array(), true );
}